Bug 176264 - x366 NMI error logged in infinite loop - [crm#769552] Possible regression U7 beta
x366 NMI error logged in infinite loop - [crm#769552] Possible regression U7 ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.7
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Ernie Petrides
Brian Brock
: Regression
Depends On:
Blocks: 168426
  Show dependency treegraph
 
Reported: 2005-12-20 13:05 EST by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
8 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:57:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmi decode output (23.35 KB, text/plain)
2006-01-17 13:46 EST, Brian Maly
no flags Details
Screenshot of the NMI issue on a x366. (159.10 KB, image/jpeg)
2006-01-24 13:52 EST, Konrad Rzeszutek
no flags Details

  None (edit)
Description Issue Tracker 2005-12-20 13:05:31 EST
Escalated to Bugzilla from IssueTracker
Comment 2 Ernie Petrides 2005-12-20 15:40:31 EST
Please assign the hardware "arch" field appropriately for an IBM x336.

Thanks in advance.  -ernie
Comment 3 Jim Paradis 2005-12-20 15:56:20 EST
x336 is an EM64T system.  Arch set accordingly.
Comment 7 Ernie Petrides 2006-01-16 17:28:00 EST
We have not been able to reproduce this at Red Hat.  PeterM updated
IT 85103 to request more information.  At this point, no further
progress can be made on this bugzilla.

I recommend that this be removed from the RHEL3 U7 MustFix list.
Comment 8 Brian Maly 2006-01-16 17:46:34 EST
we dont support SAS on the 366 thus no way to install RHEL3
Comment 9 Brian Maly 2006-01-17 13:46:35 EST
Created attachment 123318 [details]
dmi decode output

seems like perhaps a BIOS bug? can we confirm the system that exibits this
problem is running an older BIOS?
Comment 14 Konrad Rzeszutek 2006-01-24 13:51:24 EST
FYI: The problem appears during installation, even before anaconda starts
detecting hard-drives (btw, Adaptec does have the SAS driver for RHEL3 U7 - I
can provide the image file). 

The lab machine in Westford has the latest BIOS and still exhibits this problem.
To reproduce this issue, bootup from RHEL3 U7, type:

linux dd acpi=noirq

And see it halt before anaconda with bunch of "Uhuh. Unknown NMI interrupts."
Comment 15 Konrad Rzeszutek 2006-01-24 13:52:23 EST
Created attachment 123628 [details]
Screenshot of the NMI issue on a x366.
Comment 20 Brian Maly 2006-01-31 16:53:02 EST
can IBM try booting with this command line option at boot:

nmi_watchdog=0

does it solve the problem?
Comment 21 Ernie Petrides 2006-02-01 16:31:42 EST
Besides finding out whether nmi_watchdog=0 works around this problem,
I'd also like to know why acpi=noirq is being used (and what exactly
it does).  Please provide the requested info in this bugzilla.

Thanks in advance.
Comment 22 Brian Maly 2006-02-01 16:33:50 EST
IBM reports that nmi_watchdog=0 solves this problem.

acpi=noirq should actually be acpi=no_irq. the NMI error doesnt show up until
this boot option is used. its unclear to me what this boot option does though.
Comment 23 Ernie Petrides 2006-02-02 19:37:38 EST
Relinking IT 85103 to this bug.
Comment 24 Ernie Petrides 2006-02-02 19:46:29 EST
Also linking IT 85781 to this bug.
Comment 25 Ernie Petrides 2006-02-02 22:08:46 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-40.EL).
Comment 29 Red Hat Bugzilla 2006-03-15 11:57:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.